Skip to content

deployment_alert_create

Create a threshold alert rule for a service or managed service

Tool

deployment_alert_create

Create a threshold alert rule for a service or managed service

Create a threshold alert rule for a service or managed service

Behavior

HTTP
POST /deployment/alerts

Arguments

Name
Type
Required
Description
metric
string
•
No description in the catalog.
enabled
boolean
—
No description in the catalog.
targetId
string
•
No description in the catalog.
threshold
number
•
No description in the catalog.
comparator
string
•
No description in the catalog.
targetKind
string
•
No description in the catalog.

Response

Field
Type
Always
Description
id
string
•
state
string
•
metric
string
•
enabled
boolean
•
targetId
string
•
createdAt
string
•
productId
string
•
threshold
number
•
updatedAt
string
•
comparator
string
•
targetKind
string
•
environmentId
string
•
lastEvaluatedAt
string
•
lastStateChangeAt
string
•

Try it

Create a threshold alert rule for a service or managed service.

When to use

Create a threshold alert rule for a service or managed service

Example

Ask your agent something like this:

Create a threshold alert rule for a service or managed service.

The agent will invoke deployment_alert_create with these arguments:

{
  "metric": "<metric>",
  "targetId": "<targetId>",
  "threshold": "<threshold>",
  "comparator": "<comparator>",
  "targetKind": "<targetKind>"
}

Esc

Start typing to search the docs.

↑↓navigate↵select